## WebKitDOMEventTarget WebKitDOMEventTarget |

## Functions

gboolean | webkit_dom_event_target_dispatch_event ()
gboolean | webkit_dom_event_target_add_event_listener ()
gboolean | webkit_dom_event_target_remove_event_listener ()
gboolean | webkit_dom_event_target_add_event_listener_with_closure ()
gboolean | webkit_dom_event_target_remove_event_listener_with_closure ()

## Description

## Functions

### webkit_dom_event_target_dispatch_event ()

    gboolean
    webkit_dom_event_target_dispatch_event
                                   (WebKitDOMEventTarget *target,
                                    WebKitDOMEvent *event,
                                    GError **error);

#### Parameters

target | A WebKitDOMEventTarget |
event | A WebKitDOMEvent |
error | return location for an error or `NULL` |

#### Returns

a gboolean

### webkit_dom_event_target_add_event_listener ()

    gboolean
    webkit_dom_event_target_add_event_listener
                                   (WebKitDOMEventTarget *target,
                                    const char *event_name,
                                    GCallback handler,
                                    gboolean use_capture,
                                    gpointer user_data);

#### Parameters

target | A WebKitDOMEventTarget |
event_name | A gchar |
handler | A GCallback. | [scope async]
use_capture | A gboolean |
user_data | A gpointer |

#### Returns

a gboolean

### webkit_dom_event_target_remove_event_listener ()

    gboolean
    webkit_dom_event_target_remove_event_listener
                                   (WebKitDOMEventTarget *target,
                                    const char *event_name,
                                    GCallback handler,
                                    gboolean use_capture);

#### Parameters

target | A WebKitDOMEventTarget |
event_name | A gchar |
handler | A GCallback. | [scope call]
use_capture | A gboolean |

#### Returns

a gboolean

### webkit_dom_event_target_add_event_listener_with_closure ()

    gboolean
    webkit_dom_event_target_add_event_listener_with_closure
                                   (WebKitDOMEventTarget *target,
                                    const char *event_name,
                                    GClosure *handler,
                                    gboolean use_capture);

Version of `webkit_dom_event_target_add_event_listener()` using a closure instead of a callbacks for easier binding in other languages.

[rename-to webkit_dom_event_target_add_event_listener]

#### Parameters

target | A WebKitDOMEventTarget |
event_name | A gchar |
handler | A GClosure |
use_capture | A gboolean |

#### Returns

a gboolean

### webkit_dom_event_target_remove_event_listener_with_closure ()

    gboolean
    webkit_dom_event_target_remove_event_listener_with_closure
                                   (WebKitDOMEventTarget *target,
                                    const char *event_name,
                                    GClosure *handler,
                                    gboolean use_capture);

Version of `webkit_dom_event_target_remove_event_listener()` using a closure instead of a callbacks for easier binding in other languages.

[rename-to webkit_dom_event_target_remove_event_listener]

#### Parameters

target | A WebKitDOMEventTarget |
event_name | A gchar |
handler | A GClosure |
use_capture | A gboolean |

#### Returns

a gboolean

## Types and Values